View Issue Details

IDProjectCategoryView StatusLast Update
0015953CentOS-7kernelpublic2019-06-11 22:51
Reporteralphacc 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version7.6.1810 
Target VersionFixed in Version 
Summary0015953: Ceph kernel client append write bug
DescriptionThere's a bug in the cephfs kernel client that occurs when a kernel client is appending to a file and another client is reading it. The writer seems to hang for a time and even overwrites the file it's supposed to be appending to.

Here's the full bug report, plus a possible fix: https://tracker.ceph.com/issues/37713

Additional InformationI've reported it to Red Hat ; I'll add the bugzilla if accessible
TagsNo tags attached.
abrt_hash
URL

Activities

toracat

toracat

2019-03-25 19:44

manager   ~0034085

Looks as if the patch applies cleanly to the current CentOS kernel. I will add this to the centosplus kernel.

The upstream BZ will most likely be marked private. If so, please update the status here.
alphacc

alphacc

2019-03-25 20:34

developer   ~0034087

thanks !
toracat

toracat

2019-03-25 21:59

manager   ~0034090

The kernel-plus package with the patch applied is now available from:

https://people.centos.org/toracat/kernel/7/plus/bug15953/
alphacc

alphacc

2019-03-26 13:18

developer   ~0034096

it's public now, not sure why I put private in the first place :)
toracat

toracat

2019-04-23 21:43

manager   ~0034244

The patch has been applied to kernel-plus-3.10.0-957.12.1.el7.centos.plus.
toracat

toracat

2019-06-04 17:51

manager   ~0034596

The distro kernel 3.10.0-957.21.2.el7 now has this patch.
alphacc

alphacc

2019-06-10 15:39

developer   ~0034626

Yes confirmed with RHEL kernel, we can close this one when 3.10.0-957.21.2.el7 is released. Thanks !
toracat

toracat

2019-06-11 22:51

manager   ~0034640

Closing as resolved.

Issue History

Date Modified Username Field Change
2019-03-25 18:47 alphacc New Issue
2019-03-25 18:47 alphacc Issue generated from: 0015742
2019-03-25 19:44 toracat Note Added: 0034085
2019-03-25 19:46 toracat Status new => acknowledged
2019-03-25 20:34 alphacc Note Added: 0034087
2019-03-25 21:59 toracat Note Added: 0034090
2019-03-26 13:17 alphacc View Status private => public
2019-03-26 13:18 alphacc Note Added: 0034096
2019-04-23 21:43 toracat Note Added: 0034244
2019-06-04 17:51 toracat Note Added: 0034596
2019-06-10 15:39 alphacc Note Added: 0034626
2019-06-11 22:51 toracat Status acknowledged => resolved
2019-06-11 22:51 toracat Resolution open => fixed
2019-06-11 22:51 toracat Note Added: 0034640